%define upstream_name       File-Touch
%define upstream_version    0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Update access and modification timestamps
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

Buildarch:	noarch


%description
This modules update access and modification timestamps, creating nonexistent
files where necessary.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
# remove left-over files from macosx
rm -f ._*
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc MANIFEST Changes META.yml
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 367391
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 26214
- mageia rebuild
- imported package perl-File-Touch

